namespace Brizco.Domain.Entities.Complexes;

[AdaptTwoWays("[name]SDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget | MapType.Projection)]
[AdaptTwoWays("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Map | MapType.MapToTarget)]
[AdaptTo("[name]LDto", IgnoreAttributes = new[] { typeof(AdaptIgnoreAttribute) }, MapType = MapType.Projection)]
[GenerateMapper]
public partial class Section : ApiEntity
{
    public Section()
    {
        
    }
    public Section(string name, string description, Guid complexId)
    {
        Name = name;
        Description = description;
        ComplexId = complexId;
    }
    public string Name { get; internal set; } = string.Empty;
    public string Description { get; internal set; } = string.Empty;

    public Guid ComplexId { get; internal set; }
    public Complex? Complex { get; internal set; }

    public List<Position> Positions { get; internal set; } = new();
}